-- MissionScript name = show_goats MissionScript id = 100672

local show_goats = {
    100672,
    100673
}

function trigger_mission_elements(elem_table)
    local player = managers.player:player_unit()
    if not player or not alive(player) then
        return
    end

    for _, data in pairs(managers.mission._scripts) do
        for id, element in pairs(data:elements()) do
            for _, elem_id in pairs(elem_table) do
                if id == elem_id then
                    if Network:is_server() then
                        element:on_executed(player)
                    end
                end
            end
        end
    end
end

if Global.game_settings.level_id == "peta" then
    trigger_mission_elements(show_goats)
end